Subject: bug#65905: 30.0.50; Consider changing info buffer names to info<(org)> rather than info<3>

From: Vladimir Nikishkin <[email-masked]>
Date: Thu, 14 Sep 2023 09:13:17 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Vladimir Nikishkin <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 13 Sep 2023 23:07:44 +0800
>> 
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> But it's not the same thing, is it?
>> >
>> > It's not?  I think it is the same.  You wanted a simply way of getting
>> > back to a manual that you were reading earlier in the session, which
>> > you still have in some Info buffer, no?  That's what "C-h R" does: it
>> > first looks in the Info buffers already present in the session, and,
>> > if not found, then looks for the manual installed on the system.  In
>> > your case, the first step will succeed.
>> >
>> 
>> No, it does not do that. C-h R just prompts for a "Manual name: " in the
>> minibuffer, and if I press TAB, shows all the names for all the
>> installed manuals in the system.
>
> You are supposed to type "org" and press RET when it prompts.  Because
> you know you want to go to the Org manual, right?

No, that is the point, I _do not_ know which manual I am going to.
I am typing C-x b info TAB to see all open info buffers.
And I would like to see: info<org> info<epa> info<mu4e> rather than
info<1> info<2> info<3>.

>> It does switch to the previously open buffer, if I happen to remember
>> the name of the manual. But if I do not remember whether I was reading
>> epa's manual, or pgg's manual (similar features!), I have to go through
>> them by trial and error.
>
> Then I don't understand something.  Your original request was to name
> the buffer "*info*<org>", so that you could type
>
>   C-x b *info*<org> RET
>
> to return to it, right?  But if you don't remember the name of the
> manual, how would you know to type the "<org>" part in the above?

With TAB-completion. (Or, if someone uses a narrowing framework, like
ivy or helm, it would get by even without TAB.)

-- 
Your sincerely,
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)